## mx-packageinstaller 25.08

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2017 MX Authors
# *
# * Authors: Adrian
# *          Dolphin_Oracle
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-packageinstaller.
# *
# * mx-packageinstaller is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-packageinstaller is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-packageinstaller.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

project(mx-packageinstaller
    VERSION 25.7
    DESCRIPTION "MX Package Installer - A tool for managing packages on MX Linux"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Option to build tests
option(BUILD_TESTS "Build unit tests" OFF)

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    Network
    Xml
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    log.cpp
    main.cpp
    mainwindow.cpp
    lockfile.cpp
    versionnumber.cpp
    aptcache.cpp
    remotes.cpp
    about.cpp
    cmd.cpp
)

set(HEADERS
    log.h
    mainwindow.h
    lockfile.h
    versionnumber.h
    aptcache.h
    remotes.h
    about.h
    cmd.h
)

set(UI_FILES
    mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

set(TRANSLATION_FILES
    translations/mx-packageinstaller_en.ts
)

# Create the executable
add_executable(mx-packageinstaller
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-packageinstaller
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Network
    Qt6::Xml
)

# Set compiler flags
target_compile_options(mx-packageinstaller PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-packageinstaller PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-packageinstaller PRIVATE 
        -Werror=return-local-addr
        # Suppress false positive LTO warnings with Qt6 QHash (GCC only)
        -Wno-alloc-size-larger-than
    )
endif()

# Set compile definitions
target_compile_definitions(mx-packageinstaller PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-packageinstaller PRIVATE NDEBUG)
    target_compile_options(mx-packageinstaller PRIVATE -O3)
    
    # Only add LTO for GCC, not Clang
    if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "Clang" AND NOT USE_CLANG)
        target_compile_options(mx-packageinstaller PRIVATE -flto=auto)
        target_link_options(mx-packageinstaller PRIVATE
            -flto=auto
            # Suppress false positive LTO warnings with Qt6 QHash at link time (GCC only)
            -Wno-alloc-size-larger-than
        )
    endif()
endif()

# Handle translations
qt6_add_translations(mx-packageinstaller
    TS_FILES ${TRANSLATION_FILES}
)

# Set target properties
set_target_properties(mx-packageinstaller PROPERTIES
    OUTPUT_NAME "mx-packageinstaller"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)

# Add tests if requested
if(BUILD_TESTS)
    message(STATUS "Building with tests enabled")
    add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
# Tests CMakeLists.txt for mx-packageinstaller
cmake_minimum_required(VERSION 3.16)
project(mx-packageinstaller-tests)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Find Qt6 Test module
find_package(Qt6 REQUIRED COMPONENTS Test Core)

# Enable testing
enable_testing()

# Set up test include directories
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
set(CMAKE_AUTOMOC ON)

# Test for VersionNumber class
add_executable(test_versionnumber
    test_versionnumber.cpp
    ../versionnumber.cpp
)

target_link_libraries(test_versionnumber
    Qt6::Core
    Qt6::Test
)

target_compile_options(test_versionnumber PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
)

# Add compiler-specific flags for tests
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(test_versionnumber PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(test_versionnumber PRIVATE -Werror=return-local-addr)
endif()

add_test(NAME VersionNumberTest COMMAND test_versionnumber)

# Test for AptCache class
add_executable(test_aptcache
    test_aptcache.cpp
    ../aptcache.cpp
    ../versionnumber.cpp
)

target_link_libraries(test_aptcache
    Qt6::Core
    Qt6::Test
)

target_compile_options(test_aptcache PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
)

# Add compiler-specific flags for tests
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(test_aptcache PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(test_aptcache PRIVATE -Werror=return-local-addr)
endif()

add_test(NAME AptCacheTest COMMAND test_aptcache)

# Add convenience target to run all tests
add_custom_target(run_tests
    COMMAND ${CMAKE_CTEST_COMMAND} --verbose
    DEPENDS test_versionnumber test_aptcache
    COMMENT "Running all tests"
)

# Add file watching target for continuous testing
add_custom_target(watch_tests
    COMMAND echo "Starting continuous testing - press Ctrl+C to stop"
    COMMAND bash -c "while inotifywait -e modify -r ${CMAKE_CURRENT_SOURCE_DIR}/.. --include='.*\\.(cpp|h)$$' 2>/dev/null; do echo ''; echo '=== Files changed, rebuilding and testing ==='; ${CMAKE_COMMAND} --build ${CMAKE_BINARY_DIR} && ${CMAKE_CTEST_COMMAND} --verbose; done"
    COMMENT "Watch for file changes and auto-run tests"
    USES_TERMINAL
)

## mx-packageinstaller 19.1

=== debian/changelog ===
mx-packageinstaller (19.1) mx; urgency=medium

  * add flatpaks warning

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Jan 2019 17:50:45 -0500

mx-packageinstaller (18.12.1) mx; urgency=medium

  * fix Debian version numbers using ~

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Dec 2018 15:34:52 -0500

mx-packageinstaller (18.12) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Dec 2018 09:02:46 -0500

mx-packageinstaller (18.11.2) mx; urgency=medium

  * add a warning for MX Test repo

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Dec 2018 16:50:37 -0500

mx-packageinstaller (18.11.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 14:01:09 -0500

mx-packageinstaller (18.11) mx; urgency=medium

  * preserve search text when switching tabs

 -- Adrian <adrian@mxlinux.org>  Sat, 03 Nov 2018 12:16:04 -0400

mx-packageinstaller (18.10.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 19:32:58 -0400

mx-packageinstaller (18.10) mx; urgency=medium

  * make sure test and backports don't remain enabled if exiting before done

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Oct 2018 11:09:48 -0400

mx-packageinstaller (18.9.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Sep 2018 22:08:20 -0400

mx-packageinstaller (18.9.2) mx; urgency=medium

  * fix version check for other locales

 -- Adrian <adrian@mxlinux.org>  Fri, 14 Sep 2018 08:25:42 -0400

mx-packageinstaller (18.9.1) mx; urgency=medium

  * add xdg-desktop-portal-gtk dependency

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Sep 2018 12:42:08 -0400

mx-packageinstaller (18.9) mx; urgency=medium

  * add Flatpak manager tab

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Sep 2018 16:16:17 -0400

mx-packageinstaller (18.8.1) mx; urgency=medium

  * GUI change: display all sources in tabs

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Aug 2018 14:59:26 -0400

mx-packageinstaller (18.8) mx; urgency=medium

  * fix icons other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 17:00:40 -0400

mx-packageinstaller (18.7.2) mx; urgency=medium

  * fix encoding

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Jul 2018 21:59:32 -0400

mx-packageinstaller (18.7.1) mx; urgency=medium

  * read category translation from category.dict file

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Jul 2018 01:02:11 -0400

mx-packageinstaller (18.7) mx; urgency=medium

  * prepare to read localized categories and descriptions

 -- Adrian <adrian@mxlinux.org>  Sun, 08 Jul 2018 22:26:20 -0400

mx-packageinstaller (18.6.2) mx; urgency=medium

  * added changelog button

 -- Adrian <adrian@mxlinux.org>  Tue, 26 Jun 2018 17:46:53 -0400

mx-packageinstaller (18.6.1) mx; urgency=medium

  * change info icon

 -- Adrian <adrian@mxlinux.org>  Tue, 19 Jun 2018 00:43:03 -0400

mx-packageinstaller (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 15:26:48 -0400

mx-packageinstaller (18.4) mx; urgency=medium

  * remove source selection pop-up

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Apr 2018 13:16:10 -0400

mx-packageinstaller (18.3+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 14:36:51 -0500

mx-packageinstaller (18.3) mx; urgency=medium

  * remove temp list in case of apt-get failure

 -- Adrian <adrian@mxlinux.org>  Thu, 01 Mar 2018 13:00:09 -0500

mx-packageinstaller (18.2+1) mx; urgency=medium

  * check if list is of packages is empty and run apt-get update

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Feb 2018 00:50:15 -0500

mx-packageinstaller (18.2) mx; urgency=medium

  * display terminal output in Qt app

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Feb 2018 18:16:34 -0500

mx-packageinstaller (17.12+5) mx; urgency=medium

  * new build

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Dec 2017 11:55:22 -0500

mx-packageinstaller (17.12+4) mx; urgency=medium

  * additional language about log file 

 -- dolphin oracle <dolphin@littlebyte>  Sun, 17 Dec 2017 18:12:21 -0500

mx-packageinstaller (17.12+3) mx; urgency=medium

  *  additional logging of apt-get update output, preserves exit code

 -- dolphin oracle <dolphinoracle@gmail.com>  Sun, 17 Dec 2017 17:17:22 -0500

mx-packageinstaller (17.12+2) mx; urgency=medium

  * adding timeouts and additional wget/ apt-get logging 

 -- dolphin oracle <dolphinoracle@gmail.com>  Sat, 16 Dec 2017 20:49:50 -0500

mx-packageinstaller (17.12+1) mx; urgency=medium

  * added FR help

 -- Adrian <adrian@mxlinux.org>  Mon, 11 Dec 2017 22:58:45 -0500

mx-packageinstaller (17.12) mx; urgency=medium

  * new translation

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 14:47:12 -0500

mx-packageinstaller (17.11+1) mx; urgency=medium

  * fix warning on first click for Backports
  * added delay between Backports package list downloads

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Nov 2017 10:23:01 -0500

mx-packageinstaller (17.11) mx; urgency=medium

  * add logs

 -- Adrian <adrian@mxlinux.org>  Tue, 07 Nov 2017 20:41:16 -0500

mx-packageinstaller (17.10) mx; urgency=medium

  * trim package names

 -- Adrian <adrian@mxlinux.org>  Sat, 14 Oct 2017 18:56:41 -0400

mx-packageinstaller (17.7+1) mx; urgency=medium

  * fix bug for Stretch

 -- Adrian <adrian@mxlinux.org>  Fri, 21 Jul 2017 08:15:42 -0400

mx-packageinstaller (17.7) mx; urgency=medium

  * generalize code for MX17
  * fix bug updating installed package list after installation

 -- Adrian <adrian@mxlinux.org>  Wed, 19 Jul 2017 12:42:43 -0400

mx-packageinstaller (17.6mx16+5) mx; urgency=medium

  * removes deprecated packages 

 -- Adrian <adrian@mxlinux.org>  Wed, 28 Jun 2017 13:37:48 -0400

mx-packageinstaller (17.6mx16+4) mx; urgency=medium

  * fix for Stretch

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jun 2017 11:38:57 -0400

mx-packageinstaller (17.6mx16+3) mx; urgency=medium



=== debian/control ===
Source: mx-packageinstaller
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9),
	libcmd
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-packageinstaller

Package: mx-packageinstaller
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xdg-utils|mx-viewer, mx-packageinstaller-pkglist (>= 17.4), menu, wget, libcmd, flatpak (>= 0.8.9), socat, flatpak (<< 1.0) | xdg-desktop-portal-gtk
Replaces: mx-test-repo-installer, mx-debian-backports-installer, mx-package-manager, mx-package-manager-pkglist
Provides: mx-test-repo-installer, mx-debian-backports-installer
Conflicts: mx-test-repo-installer, mx-debian-backports-installer
Description: MX Package Installer
 MX Package Installer is a tool used for managing packages on MX Linux
 - installs popular programs from different sources
 - installs programs from the MX Test repo
 - installs programs from Debian Backports repo

## mx-packageinstaller 19.1.1

=== debian/changelog ===
mx-packageinstaller (19.1.1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 16:20:31 -0500

=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-packageinstaller.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-packageinstaller 19.1.2

=== debian/changelog ===
mx-packageinstaller (19.1.2) mx; urgency=medium

  * make it resizeble (smaller size for small monitors)
  * preserve window geometry

 -- Adrian <adrian@mxlinux.org>  Thu, 31 Jan 2019 18:54:30 -0500

## mx-packageinstaller 19.4

=== debian/changelog ===
mx-packageinstaller (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:45:47 -0400

## mx-packageinstaller 19.4.1

=== debian/changelog ===
mx-packageinstaller (19.4.1) mx; urgency=medium

  * use -t switch for Test repo (safer configuration for test)
  * minor fix for Buster

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Jul 2019 16:12:36 -0400

## mx-packageinstaller 19.4.2

=== debian/changelog ===
mx-packageinstaller (19.4.2) mx; urgency=medium

  * fix: if package doesn't include description

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Jul 2019 22:00:35 -0400

## mx-packageinstaller 19.7

=== debian/changelog ===
mx-packageinstaller (19.7) mx; urgency=medium

  * use monospace font for output window
  * reset flatpak combobox after uninstalling item
  * fix flatpak listing for Buster

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Jul 2019 21:21:13 -0400

=== debian/control ===
Source: mx-packageinstaller
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9),
               libcmd,
               qt5-default,
               qt5-qmake,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-packageinstaller

Package: mx-packageinstaller
Architecture: any
Depends: flatpak (<< 1.0) | xdg-desktop-portal-gtk,
         flatpak (>= 0.8.9),
         libcmd,
         menu,
         mx-packageinstaller-pkglist (>= 17.4),
         socat,
         wget,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: mx-debian-backports-installer,
          mx-package-manager,
          mx-package-manager-pkglist,
          mx-test-repo-installer
Provides: mx-debian-backports-installer, mx-test-repo-installer
Conflicts: mx-debian-backports-installer, mx-test-repo-installer
Description: MX Package Installer
 MX Package Installer is a tool used for managing packages on MX Linux
 - installs popular programs from different sources
 - installs programs from the MX Test repo
 - installs programs from Debian Backports repo

## mx-packageinstaller 19.7.1

=== debian/changelog ===
mx-packageinstaller (19.7.1) mx; urgency=medium

  * fix: added windows buttons

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:01:05 -0400

## mx-packageinstaller 19.7.2

=== debian/changelog ===
mx-packageinstaller (19.7.2) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 13:50:55 -0400

## mx-packageinstaller 19.7.3

=== debian/changelog ===
mx-packageinstaller (19.7.3) mx; urgency=medium

  * fix: run flatpak update --appstream before listing versions
  * fix: remove empty strings

 -- Adrian <adrian@mxlinux.org>  Tue, 16 Jul 2019 00:19:53 -0400

## mx-packageinstaller 19.8

=== debian/changelog ===
mx-packageinstaller (19.8) mx; urgency=medium

  * add postuinstall support

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Aug 2019 14:17:32 -0400

## mx-packageinstaller 19.8.1

=== debian/changelog ===
mx-packageinstaller (19.8.1) mx; urgency=medium

  * fix icon

 -- Adrian <adrian@mxlinux.org>  Mon, 12 Aug 2019 12:05:54 -0400

## mx-packageinstaller 19.8.2

=== debian/changelog ===
mx-packageinstaller (19.8.2) mx; urgency=medium

  * fix flatpak running as regular user

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Aug 2019 16:06:54 -0400

## mx-packageinstaller 19.8.4

=== debian/changelog ===
mx-packageinstaller (19.8.4) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 14:26:09 -0400

## mx-packageinstaller 19.8.5

=== debian/changelog ===
mx-packageinstaller (19.8.5) mx; urgency=medium

  * download .xz files from *-backports (for Buster)

 -- Adrian <adrian@mxlinux.org>  Mon, 26 Aug 2019 18:44:55 -0400

## mx-packageinstaller 19.9

=== debian/changelog ===
mx-packageinstaller (19.9) mx; urgency=medium

  * fix updating flatpaks 

 -- Adrian <adrian@mxlinux.org>  Mon, 09 Sep 2019 19:51:44 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper (>=9),
                libcmd,
-               qt5-default,
-               qt5-qmake,
+               qtbase5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-packageinstaller

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export QT_SELECT=5
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"
@@ -8,7 +9,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-packageinstaller.pro
+	lrelease src.pro
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-packageinstaller 19.10

=== debian/changelog ===
mx-packageinstaller (19.10) mx; urgency=medium

  * remove libcmd dependency
  * progress bar fix

 -- Adrian <adrian@mxlinux.org>  Sun, 06 Oct 2019 22:43:04 -0400

## mx-packageinstaller 19.10.01

=== debian/changelog ===
mx-packageinstaller (19.10.01) mx; urgency=medium

  * fix console spamming when installing items with preinstall commands

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Oct 2019 13:00:57 -0400

## mx-packageinstaller 19.11

=== debian/changelog ===
mx-packageinstaller (19.11) mx; urgency=medium

  * added backup site for online check

 -- Adrian <adrian@mxlinux.org>  Wed, 06 Nov 2019 23:36:23 -0500

## mx-packageinstaller 20.1

=== debian/changelog ===
mx-packageinstaller (20.1) mx; urgency=medium

  * added option to install recommended packages

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Jan 2020 11:26:21 -0500

## mx-packageinstaller 20.2

=== debian/changelog ===
mx-packageinstaller (20.2) mx; urgency=medium

  * use deb redirector service instead of ftp
  * increase timeout to 10

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Feb 2020 08:50:33 -0500

## mx-packageinstaller 20.3.1

=== debian/changelog ===
mx-packageinstaller (20.3.1) mx; urgency=medium

  * futureproof flatpak commands

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Mar 2020 12:50:12 -0400

mx-packageinstaller (20.3) mx; urgency=medium

  * handle change in flatpak output, grrr...

 -- Adrian <adrian@mxlinux.org>  Thu, 12 Mar 2020 02:12:27 -0400

## mx-packageinstaller 20.4

=== debian/changelog ===
mx-packageinstaller (20.4) mx; urgency=medium

  * replaced su with runuser

 -- Adrian <adrian@mxlinux.org>  Fri, 24 Apr 2020 17:40:00 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9),
-               libcmd,
-               qtbase5-dev,
-               qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-packageinstaller
 
@@ -13,7 +10,6 @@
 Architecture: any
 Depends: flatpak (<< 1.0) | xdg-desktop-portal-gtk,
          flatpak (>= 0.8.9),
-         libcmd,
          menu,
          mx-packageinstaller-pkglist (>= 17.4),
          socat,

## mx-packageinstaller 20.5

=== debian/changelog ===
mx-packageinstaller (20.5) mx; urgency=medium

  * add confirmation dialog to install and remove operations
  * remove "Install" and "Remove" labels from confirmation dialog details when not used
  * added translations
  * style changes (adrian)

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 08 May 2020 22:04:57 -0400

## mx-packageinstaller 20.7.01

=== debian/changelog ===
mx-packageinstaller (20.7.01) mx; urgency=medium

  [ fehlix ]
  * adjusted setting of DEBIAN_FRONTEND 

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jul 2020 19:42:50 -0400

## mx-packageinstaller 20.9.1

=== debian/changelog ===
mx-packageinstaller (20.9.1) mx; urgency=medium

  * adjusted testrepo install setting, now with "-t mx"

 -- fehlix <fehlix@mxlinux.org>  Mon, 21 Sep 2020 18:55:51 -0400

## mx-packageinstaller 20.9.2

=== debian/changelog ===
mx-packageinstaller (20.9.2) mx; urgency=medium

  * add default shell /bin/bash to runuser

 -- fehlix <fehlix@mxlinux.org>  Fri, 25 Sep 2020 12:59:32 -0400

## mx-packageinstaller 20.11.01

=== debian/changelog ===
mx-packageinstaller (20.11.01) mx; urgency=medium

  * add pre-uninstall handling for populare apps

 -- fehlix <fehlix@mxlinux.org>  Mon, 09 Nov 2020 16:35:51 -0400

## mx-packageinstaller 20.11.02

=== debian/changelog ===
mx-packageinstaller (20.11.02) mx; urgency=medium

  * adjust testrepo handling 
  * adjust displayed version number for to be upgraded packages

 -- fehlix <fehlix@mxlinux.org>  Wed, 18 Nov 2020 17:56:17 -0400

## mx-packageinstaller 20.12

=== debian/changelog ===
mx-packageinstaller (20.12) mx; urgency=medium

  * fix: display output when uninstalling packages

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Dec 2020 02:39:48 -0500

## mx-packageinstaller 20.12.01

=== debian/changelog ===
mx-packageinstaller (20.12.01) mx; urgency=medium

  * changed update software icon
  * added progress bar when loading flatpacks tab
  * added resize option if opened maximized
  * minor optimizations

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Dec 2020 00:41:01 -0500

## mx-packageinstaller 21.1

=== debian/changelog ===
mx-packageinstaller (21.1) mx; urgency=medium

  * filter out stderr when loading flatpaks

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Jan 2021 11:21:56 -0500

## mx-packageinstaller 21.1.02

=== debian/changelog ===
mx-packageinstaller (21.1.02) mx; urgency=medium

  * adjust handling of mx testrepo and debian-backports
  * adjust flat repository format handling

 -- Adrian <adrian@mxlinux.org>  Fri, 08 Jan 2021 23:53:06 -0500

mx-packageinstaller (21.1.01) mx; urgency=medium

  * adjust handling of mx testrepo and debian-backports
  * adjust flat repository format handling

 -- fehlix <fehlix@mxlinux.org>  Fri, 08 Jan 2021 21:21:10 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
          menu,
          mx-packageinstaller-pkglist (>= 17.4),
          socat,
-         wget,
          xdg-utils | mx-viewer,
          ${misc:Depends},
          ${shlibs:Depends}

## mx-packageinstaller 21.2

=== debian/changelog ===
mx-packageinstaller (21.2) mx; urgency=medium

  * use spacebar to select items in list
  * remember filter selection when changing tabs

 -- Adrian <adrian@mxlinux.org>  Tue, 02 Feb 2021 14:12:26 -0500

## mx-packageinstaller 21.2.01

=== debian/changelog ===
mx-packageinstaller (21.2.01) mx; urgency=medium

  * add 'more info' context menu for programs in Popular and Stable
  * use double-click to check/uncheck programs in the list

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Feb 2021 00:07:51 -0500

## mx-packageinstaller 21.2.02

=== debian/changelog ===
mx-packageinstaller (21.2.02) mx; urgency=medium

  * fix: 'more info' dialog in case of localization

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Feb 2021 16:51:04 -0500

## mx-packageinstaller 21.2.03

=== debian/changelog ===
mx-packageinstaller (21.2.03) mx; urgency=medium

  * fix: select popular apps with keyboard
  * fix: more consistent behavior when double-clicking inside the checkbox

 -- Adrian <adrian@mxlinux.org>  Thu, 11 Feb 2021 14:34:35 -0500

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 
 Package: mx-packageinstaller
 Architecture: any
-Depends: flatpak (<< 1.0) | xdg-desktop-portal-gtk,
+Depends: aptitude,
+         flatpak (<< 1.0) | xdg-desktop-portal-gtk,
          flatpak (>= 0.8.9),
          menu,
          mx-packageinstaller-pkglist (>= 17.4),
          socat,
-         xdg-utils | mx-viewer,
+         xdg-utils | mx-viewer,         
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: mx-debian-backports-installer,

## mx-packageinstaller 21.3

=== debian/changelog ===
mx-packageinstaller (21.3) mx; urgency=medium

  * fix for Debian Bullseye

 -- Adrian <adrian@mxlinux.org>  Mon, 01 Mar 2021 20:47:35 -0500

## mx-packageinstaller 21.3.02

=== debian/changelog ===
mx-packageinstaller (21.3.02) mx; urgency=medium

  * process multiple values in <installable> field in .pm files, e.g., "32,64,armhf" 

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Mar 2021 12:07:06 -0500

mx-packageinstaller (21.3.01) mx; urgency=medium

  * add partial armhf support

 -- Adrian <adrian@mxlinux.org>  Sat, 06 Mar 2021 23:52:29 -0500

## mx-packageinstaller 21.4

=== debian/changelog ===
mx-packageinstaller (21.4) mx; urgency=medium

  * add "remove unused runtimes" button in Flatpak tab

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Apr 2021 18:56:17 -0400

## mx-packageinstaller 21.7

=== debian/changelog ===
mx-packageinstaller (21.7) mx; urgency=medium

  * Updated .desktop file with new comment and translations

 -- Adrian <adrian@mxlinux.org>  Sun, 04 Jul 2021 21:13:20 -0400

## mx-packageinstaller 21.7.01

=== debian/changelog ===
mx-packageinstaller (21.7.01) mx; urgency=medium

  * Download only header not the entire page for network check
  * Use shorter timeout for network check than the default

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Jul 2021 14:19:02 -0400

## mx-packageinstaller 21.7.02

=== debian/changelog ===
mx-packageinstaller (21.7.02) mx; urgency=medium

  * Save config file under ~/.config/MX-Linux

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Jul 2021 19:05:35 -0400

## mx-packageinstaller 21.8

=== debian/changelog ===
mx-packageinstaller (21.8) mx; urgency=medium

  * Fix: lockup when switching between Popular and Stable tabs
  * Added button for autoremove 'remove orphan packages' button
  *  - this pops up only if apt autoremove lists packages to remove
  * Reset checked boxes when changing filters (more consistent behavior)

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Aug 2021 00:49:25 -0400

## mx-packageinstaller 21.10

=== debian/changelog ===
mx-packageinstaller (21.10) mx; urgency=medium

  * Fix: reset filter combo box when refreshing sources

 -- Adrian <adrian@mxlinux.org>  Fri, 22 Oct 2021 10:31:42 -0400

## mx-packageinstaller 22.3

=== debian/changelog ===
mx-packageinstaller (22.3) mx; urgency=medium

  * Add a configurable timeout for online check, e.g., "timeout=10000" (in milliseconds) in ~/.config/MX-Linux/mx-packageinstaller.conf
  * Optional "skiponlinecheck" key in .conf file. Skip the check with "skiponlinecheck=true"

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Mar 2022 10:22:30 -0400

## mx-packageinstaller 22.4

=== debian/changelog ===
mx-packageinstaller (22.4) mx; urgency=medium

  * Split long package info into details (which has a scroll bar) 

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Apr 2022 15:03:52 -0400

## mx-packageinstaller 22.4.1

=== debian/changelog ===
mx-packageinstaller (22.4.1) mx; urgency=medium

  * Adjust debian-frontend check

 -- fehlix <fehlix@mxlinux.org>  Wed, 13 Apr 2022 17:26:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-packageinstaller

## mx-packageinstaller 22.4.2

=== debian/changelog ===
mx-packageinstaller (22.4.2) mx; urgency=medium

  * Reset filter when clearing the UI 

 -- Adrian <adrian@mxlinux.org>  Fri, 15 Apr 2022 03:09:30 -0400

## mx-packageinstaller 22.4.3

=== debian/changelog ===
mx-packageinstaller (22.4.3) mx; urgency=medium

  * Make sure text is added at end of output box (clicking inside the output box should not move cursor around)

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Apr 2022 11:28:54 -0400

## mx-packageinstaller 22.6

=== debian/changelog ===
mx-packageinstaller (22.6) mx; urgency=medium

  * Add mxpi-launcher to preserve env variables needed to follow USER theme
  * Set HOME to /root, XDG_RUNTIME_DIR to /run/user/0 to make sure if started with sudo -E things go to the right place
  * Display info about MX Test and Backport packages
  * Update package lists (Stable, MX Test, Backports) when packages are installed/removed from another tab

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Jun 2022 01:11:31 -0400

## mx-packageinstaller 22.7

=== debian/changelog ===
mx-packageinstaller (22.7) mx; urgency=medium

  * Adjust pkexec/sudo environment parameter for HOME, XDG_RUNTIME_DIR and SESSION_MANAGER
  * Rework testrepo handling
  * Enable deb-822 sourcelists format and multi-repo setup

 -- fehlix <fehlix@mxlinux.org>  Mon, 04 Jul 2022 06:28:54 -0400

## mx-packageinstaller 22.7.01

=== debian/changelog ===
mx-packageinstaller (22.7.01) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:32:15 -0400

## mx-packageinstaller 22.8

=== debian/changelog ===
mx-packageinstaller (22.8) mx; urgency=medium

  * Allow http->https redirects

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Aug 2022 15:04:50 -0400

## mx-packageinstaller 22.8.01

=== debian/changelog ===
mx-packageinstaller (22.8.01) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:57:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Depends: aptitude,
          flatpak (<< 1.0) | xdg-desktop-portal-gtk,
          flatpak (>= 0.8.9),
-         menu,
          mx-packageinstaller-pkglist (>= 17.4),
          socat,
          xdg-utils | mx-viewer,

## mx-packageinstaller 22.8.02

=== debian/changelog ===
mx-packageinstaller (22.8.02) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma)

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 17:09:14 -0400

## mx-packageinstaller 22.10.01

=== debian/changelog ===
mx-packageinstaller (22.10.01) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:04:24 -0400

## mx-packageinstaller 22.12

=== debian/changelog ===
mx-packageinstaller (22.12) mx; urgency=medium

  * Translation updates
  * Minor change: increase the size of Detailed Info text box

 -- Adrian <adrian@mxlinux.org>  Sun, 25 Dec 2022 13:15:45 -0500

## mx-packageinstaller 23.1

=== debian/changelog ===
mx-packageinstaller (23.1) mx; urgency=medium

  * Mark installed packages with an icon instead of graying out
  * Clarified wording: "Enabled repos" instead of "Stable repo"
  * Changed Popular tab to show categories at a different level
  * Display upgradable packages too when displaying installed packages
  * Fix: performance issue when switching tabs

 -- Adrian <adrian@mxlinux.org>  Sat, 28 Jan 2023 23:53:02 -0500

## mx-packageinstaller 23.3

=== debian/changelog ===
mx-packageinstaller (23.3) mx; urgency=medium

  * Use https addresses for network check

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Mar 2023 21:44:49 -0500

mx-packageinstaller (23.2) mx; urgency=medium

  * Disable Flatpak tab on 32-bit

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Feb 2023 17:35:33 -0500

## mx-packageinstaller 23.3.01

=== debian/changelog ===
mx-packageinstaller (23.3.01) mx; urgency=medium

  * Try to detect proxy configuration
  * Add command line switches --help, --version, --skip-online-check
  * Fix displaing version in About menu
  * Some translations updates

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Mar 2023 14:18:41 -0500

## mx-packageinstaller 23.3.02

=== debian/changelog ===
mx-packageinstaller (23.3.02) mx; urgency=medium

  * Add error message if it cannot download list of packages.

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Mar 2023 14:00:16 -0400

## mx-packageinstaller 23.4

=== debian/changelog ===
mx-packageinstaller (23.4) mx; urgency=medium

  * Update icon
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 23:38:19 -0400

## mx-packageinstaller 23.5

=== debian/changelog ===
mx-packageinstaller (23.5) mx; urgency=medium

  * Fix: when switching tabs resets search

 -- Adrian <adrian@mxlinux.org>  Fri, 05 May 2023 13:41:06 -0400

## mx-packageinstaller 23.5.01

=== debian/changelog ===
mx-packageinstaller (23.5.01) mx; urgency=medium

  * Update icon
  * Refresh translations 

 -- Adrian <adrian@mxlinux.org>  Sun, 14 May 2023 22:16:55 -0400

## mx-packageinstaller 23.5.02

=== debian/changelog ===
mx-packageinstaller (23.5.02) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 22:30:20 -0400

## mx-packageinstaller 23.5.03

=== debian/changelog ===
mx-packageinstaller (23.5.03) mx; urgency=medium

  * Fix logo file location
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Sat, 27 May 2023 15:47:58 -0400

## mx-packageinstaller 23.6

=== debian/changelog ===
mx-packageinstaller (23.6) mx; urgency=medium

  * Fix progress bar for flatpak
  * Fix displaying space taken by flatpak packages
 
 -- Adrian <adrian@mxlinux.org>  Thu, 08 Jun 2023 02:15:54 -0400

## mx-packageinstaller 23.7

=== debian/changelog ===
mx-packageinstaller (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:54:58 -0400

## mx-packageinstaller 23.7.01

=== debian/changelog ===
mx-packageinstaller (23.7.01) mx; urgency=medium

  * Fix a couple of translations

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Jul 2023 08:57:12 -0400

## mx-packageinstaller 23.7.02

=== debian/changelog ===
mx-packageinstaller (23.7.02) mx; urgency=medium

  * Fix search when switching back to Popular tab
  * Set proxy when downloading package info

 -- Adrian <adrian@mxlinux.org>  Wed, 26 Jul 2023 17:26:42 -0400

## mx-packageinstaller 23.8

=== debian/changelog ===
mx-packageinstaller (23.8) mx; urgency=medium

  * Fix displaying the correct version of installed package if the package is available in multiple sources
  *  -- fixes upgradable package list

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Aug 2023 14:12:41 -0400

## mx-packageinstaller 23.9

=== debian/changelog ===
mx-packageinstaller (23.9) mx; urgency=medium

  *  Load info for enabled repos and flatpaks in the background at start time

 -- Adrian <adrian@mxlinux.org>  Sat, 02 Sep 2023 16:44:06 -0400

=== debian/control ===
--- 
+++ 
@@ -27,3 +27,4 @@
  - installs popular programs from different sources
  - installs programs from the MX Test repo
  - installs programs from Debian Backports repo
+ - installs flatpaks

## mx-packageinstaller 23.9.01

=== debian/changelog ===
mx-packageinstaller (23.9.01) mx; urgency=medium

  * Remove flatpak dependency on 32-bit

 -- Adrian <adrian@mxlinux.org>  Tue, 19 Sep 2023 10:15:51 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Depends: aptitude,
          flatpak (<< 1.0) | xdg-desktop-portal-gtk,
-         flatpak (>= 0.8.9),
+         flatpak (>= 0.8.9) [amd64],
          mx-packageinstaller-pkglist (>= 17.4),
          socat,
          xdg-utils | mx-viewer,

## mx-packageinstaller 23.11

=== debian/changelog ===
mx-packageinstaller (23.11) mx; urgency=medium

  * Run program as normal user and elevate only when needed
  * Lock apt database only when running apt program, also allow GUI to start if database is locked
      -- will notify user which app is locking the database
  * Keep selected item in view when selecting first item in flatpaks to install/uninstall

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Nov 2023 15:34:50 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,14 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease src.pro
+	lrelease translations/*.ts
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS)
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 override_dh_shlibdeps:
-	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-packageinstaller 23.11.01

=== debian/changelog ===
mx-packageinstaller (23.11.01) mx; urgency=medium

  * Add link to /usr/bin/mxpi-launcher

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Nov 2023 08:35:07 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
          flatpak (<< 1.0) | xdg-desktop-portal-gtk,
          flatpak (>= 0.8.9) [amd64],
          mx-packageinstaller-pkglist (>= 17.4),
-         socat,
          xdg-utils | mx-viewer,         
          ${misc:Depends},
          ${shlibs:Depends}

## mx-packageinstaller 23.11.02

=== debian/changelog ===
mx-packageinstaller (23.11.02) mx; urgency=medium

  * Remove flatpak dependecy, make it a recommended package

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Nov 2023 10:00:55 -0500

## mx-packageinstaller 23.11.03

=== debian/changelog ===
mx-packageinstaller (23.11.03) mx; urgency=medium

  * Run flatpak remote-add as root to avoid two authentication pop-ups

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2023 18:14:24 -0500

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Package: mx-packageinstaller
 Architecture: any
 Depends: aptitude,
-         flatpak (<< 1.0) | xdg-desktop-portal-gtk,
-         flatpak (>= 0.8.9) [amd64],
          mx-packageinstaller-pkglist (>= 17.4),
          xdg-utils | mx-viewer,         
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: flatpak (<< 1.0) | xdg-desktop-portal-gtk,
+         flatpak (>= 0.8.9) [amd64]
 Replaces: mx-debian-backports-installer,
           mx-package-manager,
           mx-package-manager-pkglist,

## mx-packageinstaller 23.11.04

=== debian/changelog ===
mx-packageinstaller (23.11.04) mx; urgency=medium

  * Fix: added socat back, needed for responding to terminal prompts

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2023 10:56:18 -0500

## mx-packageinstaller 23.11.05

=== debian/changelog ===
mx-packageinstaller (23.11.05) mx; urgency=medium

  * Don't filter out librewolf alongside other "libs"
  * Fix: search field in Popular should not lose focus when the program finishes loading
  * Improve speed when switching tabs

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Nov 2023 14:49:23 -0500

## mx-packageinstaller 23.11.07

=== debian/changelog ===
mx-packageinstaller (23.11.07) mx; urgency=medium

  * fix version number

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 19 Nov 2023 08:53:22 -0500

mx-packageinstaller (23.11.06) mx; urgency=medium

  * flatpak 64 bit arm arch

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 17 Nov 2023 22:17:03 -0500

## mx-packageinstaller 23.11.08

=== debian/changelog ===
mx-packageinstaller (23.11.08) mx; urgency=medium

  * add arm64 and armhf filters for marking items installed

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 26 Nov 2023 22:22:54 -0500

## mx-packageinstaller 23.11.09

=== debian/changelog ===
mx-packageinstaller (23.11.09) mx; urgency=medium

  * change arm64 pm filter tag to armsixtyfour

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 27 Nov 2023 20:09:56 -0500

## mx-packageinstaller 23.12

=== debian/changelog ===
mx-packageinstaller (23.12) mx; urgency=medium

  * Fix: listed size of install flatpaks

 -- Adrian <adrian@mxlinux.org>  Sat, 02 Dec 2023 14:27:24 -0500

## mx-packageinstaller 23.12.01

=== debian/changelog ===
mx-packageinstaller (23.12.01) mx; urgency=medium

  * Improve memory usage

 -- Adrian <adrian@mxlinux.org>  Thu, 21 Dec 2023 13:09:03 -0500

## mx-packageinstaller 23.12.02

=== debian/changelog ===
mx-packageinstaller (23.12.02) mx; urgency=medium

  * Fix refresh package list after installing/uninstalling
  * Read flatpak version from name string if version is missing

 -- Adrian <adrian@mxlinux.org>  Fri, 22 Dec 2023 17:41:48 -0500

## mx-packageinstaller 23.12.03

=== debian/changelog ===
mx-packageinstaller (23.12.03) mx; urgency=medium

  * Fix: switching to flatpak tab was locking the interfaces in some cases
  * Fix: search flatpaks using the search term entered in another tab on tab switch

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Dec 2023 17:43:31 -0500

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,7 @@
 
 %:
 	dh $@ --no-automatic-dbgsym --parallel 
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_link usr/bin/mx-packageinstaller usr/bin/mxpi-launcher

## mx-packageinstaller 23.12.04

=== debian/changelog ===
mx-packageinstaller (23.12.04) mx; urgency=medium

  * Add the package architecture to the list of temporary testrepo sources

 -- fehlix <fehlix@mxlinux.org>  Tue, 26 Dec 2023 08:51:02 -0500

## mx-packageinstaller 23.12.08

=== debian/changelog ===
mx-packageinstaller (23.12.08) mx; urgency=medium

  * Fix: crash that happened in some conditions when switching tabs
  * Fix: enable interface when installing flatpak app
  * Fix: more consistent experience when switching tabs

 -- Adrian <adrian@mxlinux.org>  Sat, 30 Dec 2023 14:36:32 -0500

## mx-packageinstaller 24.1

=== debian/changelog ===
mx-packageinstaller (24.1) mx; urgency=medium

  * Increase timeout for online check
  * Check for some dpkg errors

 -- Adrian <adrian@mxlinux.org>  Tue, 09 Jan 2024 16:13:07 -0500

## mx-packageinstaller 24.2

=== debian/changelog ===
mx-packageinstaller (24.2) mx; urgency=medium

  * Update translations
  * Fix: showing wrong arch in Popular section

 -- Adrian <adrian@mxlinux.org>  Fri, 01 Mar 2024 21:14:04 -0500

## mx-packageinstaller 24.3.01

=== debian/changelog ===
mx-packageinstaller (24.3.01) mx; urgency=medium

  * Fix: remove architecture from testrepo for amd64, since it would stop installing wine and other programs that need i386 arch

 -- Adrian <adrian@mxlinux.org>  Sun, 03 Mar 2024 10:06:07 -0500

## mx-packageinstaller 24.3.02

=== debian/changelog ===
mx-packageinstaller (24.3.02) mx; urgency=medium

  * Set TERM=dumb to fix some potential issues when TERM is not set

 -- Adrian <adrian@mxlinux.org>  Thu, 07 Mar 2024 03:32:05 -0500

## mx-packageinstaller 24.3.03

=== debian/changelog ===
mx-packageinstaller (24.3.03) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:55:08 -0400

## mx-packageinstaller 24.4.01

=== debian/changelog ===
mx-packageinstaller (24.4.01) mx; urgency=medium

  * Ensure mxpitemp.list file is removed after installation and when MXPI exits

 -- Adrian <adrian@mxlinux.org>  Mon, 29 Apr 2024 13:34:45 -0400

## mx-packageinstaller 24.5

=== debian/changelog ===
mx-packageinstaller (24.5) mx; urgency=medium

  * Reduce memory usage
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 21 May 2024 17:14:59 -0400

## mx-packageinstaller 24.6.02

=== debian/changelog ===
mx-packageinstaller (24.6.02) mx; urgency=medium

  * Add flatpak-verified repo
  * Fix: changing flatpak repo from the combo box
  * Fix: testing if flatpak is setup for system

 -- Adrian <adrian@mxlinux.org>  Wed, 12 Jun 2024 11:15:41 -0400

## mx-packageinstaller 24.6.05

=== debian/changelog ===
mx-packageinstaller (24.6.05) mx; urgency=medium

  * Fix: fallback for identical theme icons for installed and upgradable packages

 -- fehlix <fehlix@mxlinux.org>  Thu, 20 Jun 2024 14:39:54 -0400

## mx-packageinstaller 24.6.06

=== debian/changelog ===
mx-packageinstaller (24.6.06) mx; urgency=medium

  * Fix: revert back to property comparison of qicon name() instead of cacheKey()

 -- fehlix <fehlix@mxlinux.org>  Fri, 21 Jun 2024 05:27:32 -0400

## mx-packageinstaller 24.6.07

=== debian/changelog ===
mx-packageinstaller (24.6.07) mx; urgency=medium

  * Update backup icons

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Jun 2024 22:49:49 -0400

## mx-packageinstaller 24.6.07.1

=== debian/changelog ===
mx-packageinstaller (24.6.07.1) mx; urgency=medium

  * Fix my repo mistake

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 25 Jun 2024 10:25:04 -0400

## mx-packageinstaller 24.7.02

=== debian/changelog ===
mx-packageinstaller (24.7.02) mx; urgency=medium

  * List all installed packages (even if not available in the selected
    repo) to make it easier to remove them

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2024 11:59:26 -0400

## mx-packageinstaller 24.7.05

=== debian/changelog ===
mx-packageinstaller (24.7.05) mx; urgency=medium

  * Wait for displayPackages to finish before updating the interface
  * Selected user by default when managing remotes

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Jul 2024 18:11:12 -0400

mx-packageinstaller (24.7.04) mx; urgency=medium

  * Performance improvements for search and filter change
  * Save and restore flatpak repo and user choices
  * Make sure all checkboxes are cleared when switching filters for flatpaks
  * Fix: don't update interface when loading Enabled repos in the background

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Jul 2024 20:46:10 -0400

## mx-packageinstaller 24.7.07

=== debian/changelog ===
mx-packageinstaller (24.7.07) mx; urgency=medium

  * Fix: displaying installed packages in the Popular tab

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Jul 2024 12:19:55 -0400
